Create a contact
POST
/api/v1/contacts
const url = 'https://renotify.app/api/v1/contacts';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"Jane Doe","phone":"+15551234567","email":"jane@example.com","external_id":"contact_123","source":"hubspot","data":{"city":"Boston","plan":"Gold"},"marketing_consent":{"whatsapp":true,"email":false}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://renotify.app/api/v1/contacts \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "Jane Doe", "phone": "+15551234567", "email": "jane@example.com", "external_id": "contact_123", "source": "hubspot", "data": { "city": "Boston", "plan": "Gold" }, "marketing_consent": { "whatsapp": true, "email": false } }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
The contact name.
string
Example
Jane Doephone
The contact phone number.
string
Example
+15551234567email
The contact email address.
string
Example
jane@example.comexternal_id
An external system identifier.
string
Example
contact_123source
The source system name.
string
Example
hubspotdata
Additional custom field values.
object
Example
{ "city": "Boston", "plan": "Gold"}marketing_consent
Marketing consent per channel (whatsapp, sms, email, rcs, telegram, messenger, instagram, browser_push). Omitted channels are unchanged.
object
Example
{ "whatsapp": true, "email": false}